List Voice Models
curl --request GET \
--url https://apis.finevoice.ai/v1/voice/pagevoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.finevoice.ai/v1/voice/pagevoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.finevoice.ai/v1/voice/pagevoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apis.finevoice.ai/v1/voice/pagevoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apis.finevoice.ai/v1/voice/pagevoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apis.finevoice.ai/v1/voice/pagevoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apis.finevoice.ai/v1/voice/pagevoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}AI Voice Cloning
List AI Voices
Retrieve a paginated, filterable list of available AI voice models.
GET
/
v1
/
voice
/
pagevoices
List Voice Models
curl --request GET \
--url https://apis.finevoice.ai/v1/voice/pagevoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.finevoice.ai/v1/voice/pagevoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.finevoice.ai/v1/voice/pagevoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apis.finevoice.ai/v1/voice/pagevoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apis.finevoice.ai/v1/voice/pagevoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apis.finevoice.ai/v1/voice/pagevoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apis.finevoice.ai/v1/voice/pagevoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}Authorizations
Bearer token (API key). Format: Bearer {your_api_key}
Query Parameters
Category filter. all returns every voice, my_voices returns custom models, favorite returns favorited voices.
Available options:
all, my_voices, favorite Example:
"all"
Primary category filter.
Available options:
social-media, advertisement, characters-and-animation, entertainment-and-tv, informative-and-educational, narrative-and-story, interactive_media, healthcare, companions, education_training, enterprise, all Example:
"all"
Filter by gender (e.g. male, female).
Language filter using locale codes such as en-US, zh-CN, ja-JP.
Example:
"en-US"
Search keyword to filter voice names.
Page index, starting from 0.
Required range:
x >= 0Example:
0
Number of voices per page.
Filter for TTS-compatible voices only.
Filter by voice style.
Filter by age range.
Sub-category filter.
Response
Paginated list of voice models.
The response is of type object.